public class Person implements /*Informing,*/ Screeming, Going {
    
    private String name;
    private boolean going;
    
    public Person(String name) {      
        this.name = name;
        this.going = false;
    }
    
    public String getName() {
        return name;
    }
    
    @Override
    public String toString() {
        return name;
    }

    @Override
    public void writeInfo() {
        System.out.println("Person " + name);
    }
    
    @Override
    public void screemInfo() {
        System.out.println("PERSON " + name.toUpperCase() + "!!!!");
    }
    
    @Override
    public void start() {
        going = true;
    }
    
    @Override
    public void stop() {
        going = false;
    }
}
